faked(1)

NOME
faked - daemon que recorda as propriedades/permissões falsas dos ficheiros manipulados por processos do fakeroot.

SINOPSE
faked [--debug] [--foreground] [--cleanup] [--key chave-msg] [--load] [--save-file save-file] [--port porto-TCP]

DESCRIÇÃO
Se um processo do fakeroot quiser alterar a propriedade de um ficheiro, então o faked é o processo que se lembra desse novo proprietário. Se mais tarde o mesmo processo do fakeroot fizer um stat() para esse nome de ficheiro, então a chamada stat() envolvida pela libfakeroot irá primeiro perguntar ao faked pela propriedade falsa e etc desse ficheiro, e depois reporta-a.

OPÇÕES

--debug
    Escreve informação de depuração no stderr

--foreground
    Não se bifurca para os bastidores.

--cleanup  número
    Limpa os semáforos.

--key  key-number
    Não aloca um novo canal de comunicação, mas usa o canal especificado pela chave. (Se o canal especificado não existir, é criado).

--save-file  save-file
    Grava o ambiente no save-file ao terminar.

--load
    Carrega um ambiente previamente guardado a partir da entrada standard.

--unknown-is-real
    Usa a propriedade real de ficheiros previamente-desconhecidos em vez de os definir para root:root.

--port  porto-tcp
    Usa o porto TCP porto-tcp.

BUGS
Nenhum até agora. Não obstante fica avisado: apesar de Eu ter escrito programas muito maiores (e menores), Eu nunca tinha escrito algo tão minúsculo como o fakeroot, tive tantos bugs como o fakeroot, e mesmo assim foi tão utilizável como, digamos, o fakeroot versão 0.0_3, a primeira versão que podia ser usada para se compilar a si própria.

COPIAR
fakeroot é distribuído sob a GNU General Public License. (GPL 2.0 ou superior).

AUTORES

joost witteveen
    <joostje@debian.org>

Clint Adams
    <clint@debian.org>

Timo Savola

TRADUTOR
Américo Monteiro <a_monteiro@gmx.com>

PÁGINA DE MANUAL
a maioria por J.H.M. Dassen <jdassen@debian.org> modificações/adições por joost e Clint.

VEJA TAMBÉM
fakeroot(1), dpkg-buildpackage(1), debuild(1) /usr/share/doc/fakeroot/DEBUG